Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.teststeps.assertions
Class WsdlAssertionRegistry

    java.lang.Object
      com.eviware.soapui.impl.wsdl.teststeps.assertions.WsdlAssertionRegistry

    public class WsdlAssertionRegistry

extends java.lang.Object

Registry for WsdlAssertions

Author:
  Ole.Matzura

Nested Class Summary
`static class` | `WsdlAssertionRegistry.AssertableType`

Constructor Summary
`WsdlAssertionRegistry()`

Method Summary
`void` | `addAssertion(java.lang.String id, java.lang.String label, java.lang.Class<? extends WsdlMessageAssertion> assertionClass)`
`WsdlMessageAssertion` | `buildAssertion(com.eviware.soapui.config.RequestAssertionConfig config, Assertable request)`
`boolean` | `canAddAssertion(WsdlMessageAssertion assertion, Assertable assertable)`
`boolean` | `canAddMultipleAssertions(java.lang.String name, Assertable assertable)`
`boolean` | `canBuildAssertion(com.eviware.soapui.config.RequestAssertionConfig config)`
`java.lang.String` | `getAssertionNameForType(java.lang.String type)`
`java.lang.String` | `getAssertionTypeForName(java.lang.String name)`
`java.lang.String[]` | `getAvailableAssertionNames(WsdlAssertionRegistry.AssertableType type)`
`static WsdlAssertionRegistry` | `getInstance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WsdlAssertionRegistry

    public WsdlAssertionRegistry()

Method Detail

### addAssertion

    public void addAssertion(java.lang.String id,
                             java.lang.String label,
                             java.lang.Class<? extends WsdlMessageAssertion> assertionClass)

### getInstance

    public static WsdlAssertionRegistry getInstance()

### buildAssertion

    public WsdlMessageAssertion buildAssertion(com.eviware.soapui.config.RequestAssertionConfig config,
                                               Assertable request)

### canBuildAssertion

    public boolean canBuildAssertion(com.eviware.soapui.config.RequestAssertionConfig config)

### getAssertionTypeForName

    public java.lang.String getAssertionTypeForName(java.lang.String name)

### getAvailableAssertionNames

    public java.lang.String[] getAvailableAssertionNames(WsdlAssertionRegistry.AssertableType type)

### getAssertionNameForType

    public java.lang.String getAssertionNameForType(java.lang.String type)

### canAddMultipleAssertions

    public boolean canAddMultipleAssertions(java.lang.String name,
                                            Assertable assertable)

### canAddAssertion

    public boolean canAddAssertion(WsdlMessageAssertion assertion,
                                   Assertable assertable)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.